defines.h File Reference

Concepts defines. More...

Go to the source code of this file.

## Macros

#define | utlConstrainType(_Concept_) typename
#define | _utlConcept constexpr bool
| utl concept keyword syntax wrapper More...
#define | CXX_LIB_INVOKE 0

## Detailed Description

Concepts defines.

Copyright (C) 2018-2019 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file defines.h.